package com.liquidnet.service.slime.dto.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "SlimeStationCheckRefreshVo", description = "下载刷新验票信息响应参数")
@Data
public class SlimeStationCheckRefreshVo implements Serializable, Cloneable {
    private static final long serialVersionUID = -6108305147829613655L;
    private SlimeStationPerformanceVo performanceVo;
    private List<SlimeStationCheckOrderVo> checkOrderVos;

    private static final SlimeStationCheckRefreshVo obj = new SlimeStationCheckRefreshVo();

    public static SlimeStationCheckRefreshVo getNew() {
        try {
            return (SlimeStationCheckRefreshVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SlimeStationCheckRefreshVo();
        }
    }
}
